package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.excel.CgRjzzqExcel;
import org.sky.scientific.pojo.dto.CgRjzzqDTO;
import org.sky.scientific.pojo.entity.CgRjzzqEntity;
import org.sky.scientific.pojo.vo.CgRjzzqVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 科研成果-软件著作 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface ICgRjzzqService extends BaseService<CgRjzzqEntity> {

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<CgRjzzqExcel>
	 */
	List<CgRjzzqExcel> export(Wrapper<CgRjzzqEntity> queryWrapper);

    void importRjzzq(MultipartFile file);

	boolean save(CgRjzzqEntity cgRjzzq);

	boolean update(CgRjzzqEntity cgRjzzq);

	boolean physicalDeleteByIds(List<Long> ids);

    IPage<CgRjzzqVO> selectRjzzqPage(IPage<CgRjzzqVO> page, @Param("ew") CgRjzzqDTO dto);
}
